### Method

# Qmi MessageImsdcmPdpActivateRequestInput set_connection_parameters

since: 1.37

#### Declaration [src]

    gboolean
    qmi_message_imsdcm_pdp_activate_request_input_set_connection_parameters (
      QmiMessageImsdcmPdpActivateRequestInput* self,
      const gchar* value_connection_parameters_apn,
      QmiImsDcmApnType value_connection_parameters_apn_type,
      QmiImsDcmRatType value_connection_parameters_rat_type,
      QmiImsDcmIpFamiliy value_connection_parameters_ip_family,
      guint32 value_connection_parameters_wds_profile_number,
      GError** error
    )

#### Description [src]

Set the ‘Connection Parameters’ field in the message.

Available since: 1.37

#### Parameters

`value_connection_parameters_apn`

  Type: `const gchar*`

  A constant string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value_connection_parameters_apn_type`

  Type: `QmiImsDcmApnType`

  A `QmiImsDcmApnType`.

`value_connection_parameters_rat_type`

  Type: `QmiImsDcmRatType`

  A `QmiImsDcmRatType`.

`value_connection_parameters_ip_family`

  Type: `QmiImsDcmIpFamiliy`

  A `QmiImsDcmIpFamiliy`.

`value_connection_parameters_wds_profile_number`

  Type: `guint32`

  A #guint32.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `value` was successfully set, `FALSE` otherwise.